flashtxt
Prev | Orchestra Opcodes and Operators | Next

## flashtxt

flashtxt — Allows text to be displayed from instruments like sliders

## Description

Plugin opcode in control.

Allows text to be displayed from instruments like sliders etc. (only on Unix and Windows at present)

## Syntax

    flashtxt  iwhich, String

## Initialization

iwhich -- the number of the window.

String -- the string to be displayed.

## Performance

Note that this opcode is not available on Windows due to the implimentation of pipes on that system

A window is created, identified by the iwhich argument, with the text string displayed. If the text is replaced by a number then the window id deleted. Note that the text windows are globally numbered so different instruments can change the text, and the window survives the instance of the instrument.

## Examples

Here is an example of the flashtxt opcode. It uses the file flashtxt.csd.

Example 300. Example of the flashtxt opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in    No messages
    -odac           -iadc     -d     ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o flashtxt.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 44100
    ksmps = 1
    nchnls = 1

    instr 1
      flashtxt 1, "Instr 1 live"
      ao oscil 4000, 440, 1
      out ao
    endin

    </CsInstruments>
    <CsScore>

    ; Table 1: an ordinary sine wave.
    f 1 0 32768 10 1

    ; Play Instrument #1 for three seconds.
    i 1 0 3
    e

    </CsScore>
    </CsoundSynthesizer>

## Credits

Author: John ffitch
University of Bath, Codemist Ltd.
Bath, UK

New in Csound version 4.11

Prev | Up | Next
flanger | Home | FLbox